%define module  IRC-Bot
%define name    perl-%{module}
%define version 0.06
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Channel Maintenance IRC bot
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/IRC/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(POE::Component::IRC)
BuildRequires:  perl(Cache::Cache)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
A complete bot, similar to eggdrop using POE::Component::IRC. Allows access to
all channel user management modes. Provides !seen functions, a complete help
system, logging, dcc chat interface, and it runs as a daemon process. IRC::Bot
utilizes Cache::FileCache for seen functions, and for session handling.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%make test

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/IRC
%{perl_vendorlib}/auto/IRC
%{_mandir}/*/*

%changelog
* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdv2007.0
- Rebuild

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.06-1mdk
- 0.06

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-4mdk
- Fix BuildRequires

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-3mdk 
- better url
- spec cleanup
- don't ship useless empty directories
- make test in %%check
- buildrequires

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.04-2mdk
- rebuild for new perl

* Sat Jul 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.04-1mdk 
- first mdk release
